# version 110
uniform sampler2D shade_tex;
uniform int RV_shade_tex_YFLIP;
uniform vec2 depthParam;

varying vec2 fuv;
varying vec3 vnormal;
varying float depth;
vec4 mmu_texture2D(sampler2D tex, vec2 uv, int RV_YFLIP){
    if(RV_YFLIP > 0) uv.y = 1.0 - uv.y;
    return texture2D(tex, uv);
}
void main(){
   vec4 tex_color = mmu_texture2D(shade_tex, fuv, RV_shade_tex_YFLIP).rgba;
   if(tex_color.a == 0.0)
       discard;
   
   gl_FragColor = vec4((depth - depthParam.x)*depthParam.y, 1.0, 1.0, 1.0);
}
